Name:           python-manuel
Version:        1.7.1
Release:        2%{?dist}
Summary:        Build tested documentation

Group:          Development/Libraries
License:        ZPLv2.1
URL:            http://pypi.python.org/pypi/manuel
Source0:        http://pypi.python.org/packages/source/m/manuel/manuel-%{version}.tar.gz
# A number of files were mistakenly left out of the 1.7.1 release.  These files
# were collected from subversion.
Source1:        %{name}-omitted.tar.xz

BuildArch:      noarch
BuildRequires:  python-setuptools python3-setuptools
BuildRequires:  python-sphinx python3-sphinx
BuildRequires:  python-six python3-six
BuildRequires:  python-zope-testing
BuildRequires:  python2-devel python3-devel

Requires:       python-six

%description
Manuel lets you mix and match traditional doctests with custom test
syntax.  Several plug-ins are included that provide new test syntax.
You can also create your own plug-ins.

%package -n python3-manuel
Summary:        Build tested documentation
Group:          Development/Libraries
Requires:       python3-six

%description -n python3-manuel
Manuel lets you mix and match traditional doctests with custom test
syntax.  Several plug-ins are included that provide new test syntax.
You can also create your own plug-ins.

%prep
%setup -q -n manuel-%{version}
%setup -q -n manuel-%{version} -T -D -a 1
rm -fr src/manuel.egg-info

%build
%{__python2} setup.py build

# Build the documentation, then remove leftover build files
sphinx-build -c sphinx src/manuel docs
rm -fr docs/.buildinfo docs/.doctrees

# Build for python3
mv build build2
cp -a src/manuel.egg-info src/manuel.egg-info2
%{__python3} setup.py build

%install
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
mv build build3
mv build2 build
mv src/manuel.egg-info src/manuel.egg-info3
mv src/manuel.egg-info2 src/manuel.egg-info
%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# Remove text files that are included as HTML in docs
rm -f $RPM_BUILD_ROOT%{python2_sitelib}/manuel/*.txt
rm -f $RPM_BUILD_ROOT%{python3_sitelib}/manuel/*.txt

%check
%{__python2} setup.py test

%files
%doc CHANGES.txt COPYRIGHT.txt LICENSE.txt README.txt docs
%{python2_sitelib}/*

%files -n python3-manuel
%doc CHANGES.txt COPYRIGHT.txt LICENSE.txt README.txt docs
%{python3_sitelib}/*

%changelog
* Wed Feb 27 2013 Jerry James <loganjerry@gmail.com> - 1.7.1-2
- Add python-six Requires (bz 915431)

* Tue Feb 19 2013 Jerry James <loganjerry@gmail.com> - 1.7.1-1
- New upstream release

* Mon Jan 28 2013 Jerry James <loganjerry@gmail.com> - 1.6.1-1
- New upstream release

* Fri Aug 10 2012 Jerry James <loganjerry@gmail.com> - 1.6.0-3
- Rebuild for python 3.3

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Apr 23 2012 Jerry James <loganjerry@gmail.com> - 1.6.0-1
- New upstream release
- Python3 subpackage now possible

* Tue Jan 10 2012 Jerry James <loganjerry@gmail.com> - 1.5.0-4
- Rebuild for bz 772699

* Sun Jan  8 2012 Jerry James <loganjerry@gmail.com> - 1.5.0-3
- Mass rebuild for Fedora 17

* Wed Apr 27 2011 Jerry James <loganjerry@gmail.com> - 1.5.0-2
- Do not Require python-zope-testing
- Change Group to Development/Libraries
- Remove text files from python_sitelib; they are already in docs

* Tue Apr 26 2011 Jerry James <loganjerry@gmail.com> - 1.5.0-1
- Initial RPM
